<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/var/www/installer/public_html/officity-source/apps/system/packages/application/panels/QuickSearchPanel.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/    
    require_once(dirname(__FILE__).'/include.php');
  	
    $QUICKSEARCH_TEXT = $_POST['quicksearch-text'];
    $QUICKSEARCH_ID = $_POST['quicksearch-id'];
    
    /* *** */

    $shell = new Officity_Shell();

    $element = ElementFactory::build(URLParam::fetch('module'));
    
    if (!empty($QUICKSEARCH_ID))
    {
		$element->addSearchInfo('ID', '=', $QUICKSEARCH_ID);
    }
    else
    {
    	$element->addSearchInfo('SEARCHTEXT', 'MATCH', $QUICKSEARCH_TEXT);
    }
        
    $element->setDisplayProfile(); // return needed for display        
    $element->addSharedResourcesCommands($shell); // resources needed for display    
    $element->setDefaultPaginate(URLParam::fetch('display', 50), URLParam::fetch('page', 1));    
    $element->search('list', false);
    
    $search_command = $element->getNQLCommand();
    $shell->addCommand($search_command);
    
    $shell->addPaging(); // pagination enumeration
    
    echo $shell->transform(dirname(__FILE__).'/QuickSearchPanel.xsl');
?>